#########################
# Configuration of MARK #
#########################

###########
# Version #
###########

mark_version = 'One'


#######
# TPM #
#######

# http://projects.sirrix.com/trac/trustedgrub/wiki/Documentation
# 2.4 Measurements (in short)
#
# PCR 4 contains MBR information and stage1
# PCR 8 contains bootloader information stage2 part1
# PCR 9 contains bootloader information stage2 part2
# PCR 12 contains all commandline arguments from menu.lst and those entered in the shell
# PCR 13 contains all files checked via the checkfile-routine
# PCR 14 contains all files which are actually loaded (e.g., Linux kernel, initrd, modules...)
#
# http://trousers.sourceforge.net/grub.html
# 3.1 Measurement of Grub
#
# http://git.qubes-os.org/?p=joanna/antievilmaid.git;a=blob_plain;f=README;hb=HEAD
# TCG spec defines the following PCRs that you might want to seal to:
# PCR 0-3: BIOS, Option ROMs, Platform Config
# PCR 4  : MBR (Grub stage1)
# PCR 5-7: OEM-specific, probably safe to skip
# PCR 8,9: GRUB stage2
# PCR 12 : GRUB args (xen, kernel args)
# PCR 14 : The actual files loaded by GRUB (xen, kernel, initrd)

tpm_pcrs = [0, 1, 2, 3, 4, 8, 9, 12, 14]


#########################
# Files and Directories #
#########################

data_dir = '/mnt'
tmp_dir = '/tmp'

config_unsealed = tmp_dir + '/config.unsealed'
config_sealed = data_dir + '/config.sealed'

config_cleartext = data_dir + '/config.clear'

teensy_device = '/dev/ttyACM0'


################
# Teensy Stuff #
################

teensy_mcu = 'at90usb162'
teensy_flash = '/opt/teensy.hex'
teensy_eeprom = '/opt/teensy.eep'

initial_nonce = '4242424242424242424242424242424242424242424242424242424242424242'

