# MARK - Persistent Storage
#
# Copyright (C) 2013  Johannes Goetzfried <johannes@jgoetzfried.de>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pickle;

class Storage:
	def __init__(self, filename):
		self._filename = filename;
		self._data = {};

	def get(self, key):
		return self._data[key];

	def set(self, key, elem):
		self._data[key] = elem;

	def clear(self):
		self._data.clear();

	def load(self):
		with open(self._filename, 'r') as f:
			self._data = pickle.load(f);

	def store(self):
		with open(self._filename, 'w') as f:
			pickle.dump(self._data, f);

